import { LoadingState } from '../../types';
import { StoreDefinition } from 'pinia';
export declare const useLoadingStore: StoreDefinition<"LOADING", LoadingState, {}, {
    startRequesting(url: string): void;
    doneRequesting(url: string): void;
    startExecuting(url: string): void;
    doneExecuting(url: string): void;
}>;
